Subject: bug#56854: 28.1; Codes generated from focus events being sent to buffers.

From: Eli Zaretskii <[email-masked]>
Date: Sun, 31 Jul 2022 16:10:55 +0300

> From: "M. Page-Lieberman" <[email-masked]>
> Date: Sun, 31 Jul 2022 02:43:31 -0400
> 
> [O] for out (exited) and [I] for in (entered) for Emacs windows focus
> events are sent to buffers for the functions registered to the
> focus-change-function events, AFAICT, and the frame-focus-state maps to
> those codes (t -> [I], nil -> [O]).
> 
> In order to reproduce this, one needs to simply do C-u, wait for it to
> appear in the mini buffer, and then switch to another frame. The code
> "[ O-" will appear in the mini buffer. Upon returning focus to the frame,
> the "[ O-" will be replaced by [ I-" in the minibuffer.

Does this mean your terminal emulator doesn't support focus-in and
focus-out notifications?  Which terminal emulator is that and what is
its version?

Emacs enables this on xterm on the assumption that versions of xterm
that don't support this functionality simply ignore the sequences.